﻿@ModelType TestViewModels

@Code
    ViewData("Title") = "Home Page"
End Code

@Using (Html.BeginForm(New With {.id = "frmTest"}))
    @<div Class="row">
        <div Class="col-md-12">
            <ul Class="nav nav-tabs">
                <li Class="active"><a href="#tab1" data-toggle="tab" aria-expanded="true">tab1</a></li>
                <li Class=""><a href="#tab2" data-toggle="tab" aria-expanded="false">tab2</a></li>
            </ul>

            <div id="myTabContent" Class="tab-content">
                <div Class="tab-pane fade active in" id="tab1">
                    <div Class="row">
                        <div Class="col-md-12">
                            <div Class="col-md-1 text-right">
                                @Html.LabelFor(Function(x) x.Text1)
                            </div>
                            <div Class="col-md-2">
                                @Html.Infragistics.TextEditorFor(Function(x) x.Text1).ValidatorOptions(Sub(x)
                                                                                                           x.Required(True)
                                                                                                           x.NotificationOptions(Sub(y)
                                                                                                                                     y.Mode(NotifierMode.Popover)
                                                                                                                                     y.Direction(PopoverDirection.Right)
                                                                                                                                     y.HeaderTemplate(Sub(z)
                                                                                                                                                          z.CloseButton(False)
                                                                                                                                                      End Sub)
                                                                                                                                 End Sub)
                                                                                                       End Sub).Render
                            </div>
                            <div Class="col-md-1 text-right">
                                @Html.LabelFor(Function(x) x.Date1)
                            </div>
                            <div Class="col-md-2">
                                @Html.Infragistics.DatePickerFor(Function(x) x.Date1).ValidatorOptions(Sub(x)
                                                                                                           x.Required(True)
                                                                                                           x.NotificationOptions(Sub(y)
                                                                                                                                     y.Mode(NotifierMode.Popover)
                                                                                                                                     y.Direction(PopoverDirection.Right)
                                                                                                                                     y.HeaderTemplate(Sub(z)
                                                                                                                                                          z.CloseButton(False)
                                                                                                                                                      End Sub)
                                                                                                                                 End Sub)
                                                                                                       End Sub).Render
                            </div>
                        </div>
                    </div>
                    @Code
                        For i As Integer = 1 To 20
                                @<div Class="row">
                                <div Class="col-md-12">
                                    <div Class="col-md-1 text-right">
                                                @Html.Label("Text " & i)
                                    </div>
                                    <div Class="col-md-2">
                                                    @Html.Infragistics.TextEditor("txt" & i).ValidatorOptions(Sub(x)
                                                                                                                  x.Required(True)
                                                                                                                  x.ErrorMessage("Text " & i & " is requried")
                                                                                                                  x.NotificationOptions(Sub(y)
                                                                                                                                            y.Mode(NotifierMode.Popover)
                                                                                                                                            y.Direction(PopoverDirection.Right)
                                                                                                                                            y.HeaderTemplate(Sub(z)
                                                                                                                                                                 z.CloseButton(False)
                                                                                                                                                             End Sub)
                                                                                                                                        End Sub)
                                                                                                              End Sub).Value("text " & i).Render
                                    </div>
                                </div>
                            </div>
                        Next
                    End Code

                </div>
                <div Class="tab-pane fade" id="tab2">
                    <div Class="row">
                        &nbsp;
                    </div>
                    <div Class="row">
                        &nbsp;
                    </div>
                    <div Class="row">
                        &nbsp;
                    </div>
                    <div Class="row">
                        &nbsp;
                    </div>
                    <div Class="row">
                        &nbsp;
                    </div>
                    <div Class="row">
                        <div Class="col-md-12">
                            <div Class="col-md-1 text-right">
                                @Html.LabelFor(Function(x) x.Text2)
                            </div>
                            <div Class="col-md-2">
                                @Html.Infragistics.TextEditorFor(Function(x) x.Text2).ValidatorOptions(Sub(x)
                                                                                                           x.Required(True)
                                                                                                           x.NotificationOptions(Sub(y)
                                                                                                                                     y.Mode(NotifierMode.Popover)
                                                                                                                                     y.Direction(PopoverDirection.Right)
                                                                                                                                     y.HeaderTemplate(Sub(z)
                                                                                                                                                          z.CloseButton(False)
                                                                                                                                                      End Sub)
                                                                                                                                 End Sub)
                                                                                                       End Sub).Render
                            </div>
                            <div Class="col-md-1 text-right">
                                @Html.LabelFor(Function(x) x.Date2)
                            </div>
                            <div class="col-md-2">
                                @Html.Infragistics.DatePickerFor(Function(x) x.Date2).ValidatorOptions(Sub(x)
                                                                                                           x.Required(True)
                                                                                                           x.NotificationOptions(Sub(y)
                                                                                                                                     y.Mode(NotifierMode.Popover)
                                                                                                                                     y.Direction(PopoverDirection.Right)
                                                                                                                                     y.HeaderTemplate(Sub(z)
                                                                                                                                                          z.CloseButton(False)
                                                                                                                                                      End Sub)
                                                                                                                                 End Sub)
                                                                                                       End Sub).Render
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
End Using


<script>

    $(document).ready(function () {

        $('a[data-toggle="tab"]').on('show.bs.tab', function (e) {  //switch tab
            var tabKey = e.target.hash;
            tabKey = tabKey.replace('#', '');

            for (var i = 1; i < 21; i++) {
            	if (!$("#txt" + i).igTextEditor("validator").isValid()) {
            		e.preventDefault();
            		return false;
            	}
            }
        });
    });

</script>